Bug 485841 - segfault at server startup
segfault at server startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 18:30 EST by Matthias Clasen
Modified: 2009-02-18 20:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 20:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (19.43 KB, text/plain)
2009-02-16 18:30 EST, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2009-02-16 18:30:16 EST
Created attachment 332150 [details]
Xorg.0.log

after the switch to nouveau by default, my X server segfaults at startup.
This is with xorg-x11-drv-nouveau-0.0.12-3.20090206git945f0cb.fc11.i386
Comment 1 Ben Skeggs 2009-02-16 18:39:26 EST
There's two things wrong here.  Firstly, the kernel module that's loaded isn't new enough and causing the 2D driver to fallback to NoAccel mode.  An updated module should be available in rawhide already.

The second issue is the segfault in the fallback path.  I seen a commit to that area of code yesterday claiming to fix a similar sounding problem, so I'll push out a new 2D driver snapshot later today.
Comment 2 Ben Skeggs 2009-02-17 02:59:39 EST
The ShadowFB-fallback segfault should be fixed in xorg-x11-drv-nouveau-0.0.12-1.20090216git7b25a30.

Did you sort out the issue with the wrong kernel module in the end?
Comment 3 Matthias Clasen 2009-02-18 20:29:06 EST
Yes, it works now, thanks.

Note You need to log in before you can comment on or make changes to this bug.